%define version	1.0.7
%define rel	6
%define release	%mkrel %rel

Summary:	Web development studio
Name:		bluefish
Version:	%{version}
Release:	%{release}

URL:		http://bluefish.openoffice.nl/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
Patch0:		bluefish-1.0.7-fix-str-fmt.patch
BuildRequires:	imagemagick
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	pcre-devel
BuildRequires:	gnome-vfs2-devel >= 2.5.0
BuildRequires:	aspell-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf

# Needs the mime directories
BuildRequires:	gnome-mime-data

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs,  open from the web, HTML validation and lots of wizards.

This is not a WYSIWYG editor but a HTML editor (you edit the HTML code).

%prep
%setup -q
%patch0 -p0

%build
sed -i "s/ICONDIR\/bluefish-icon.png/bluefish-icon.png/g;" data/bluefish.desktop.in
%configure2_5x --disable-update-databases --disable-splash-screen --enable-bookmarks

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

perl -pi -e 's/\..*// if /^Icon/' $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# Install icons
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir} \
                  $RPM_BUILD_ROOT%{_miconsdir}
install -m 644 -D       inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# Something is broken badly :)
rm -rf $RPM_BUILD_ROOT/home/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%update_mime_database
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_mime_database
%endif

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS README ChangeLog NEWS TODO
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*.applications
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/*
%{_mandir}/man1/%name.1.*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-6mdv2010.0
+ Revision: 413176
- rebuild

* Thu Mar 19 2009 Funda Wang <fundawang@mandriva.org> 1.0.7-5mdv2009.1
+ Revision: 357816
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.7-5mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 21 2008 Olivier Blin <oblin@mandriva.com> 1.0.7-5mdv2008.1
+ Revision: 155558
- fix titypo
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "error: (...)there should be no extension as described in the Icon Theme Specification if the value is not an absolute path"
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1.0.7-4mdv2008.0
+ Revision: 77317
- Rebuild to obsolete old packages.

* Thu Aug 16 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.7-3mdv2008.0
+ Revision: 64231
- Merge contrib and main packages
- Fix manpage listing
- Cosmetic fixes

* Fri Apr 20 2007 Eskild Hustvedt <eskild@mandriva.org> 1.0.7-1mdv2008.0
+ Revision: 16308
- New version 1.0.7


* Thu Sep 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdv2007.0
- Fix BuildRequires

* Thu Sep 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-2mdv2007.0
- Use mkrel
- XDG

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 1.0.5-1mdk
- New release 1.0.5

* Sat Dec 10 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.4-1mdk
- New version 1.0.4

* Sun Jul 17 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.2-2mdk
- Drop ispell dependencies (fixes bug #15064)
- Spec cleanups

* Sat Jul 16 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.2-1mdk
- New version 1.0.2
- %%mkrel
- Drop COPYING (is in common-licenses)
- Drop Patch0
- Drop Patch1
- Fix menu

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 0.13-1mdk
- New version
- Patch0: No, bluefish doesn't need libintl, that's for OpenBSD!
- Patch1: Fix DESTDIR support
- Add many unreasonable buildrequires

* Fri Apr 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.12-4mdk
- build for new gettext

* Mon Feb 09 2004 Olivier Blin <blino@mandrake.org> 0.12-3mdk
- fix Summary and menu section (move to Internet/Web editors)
- fix date in previous changelog entry

* Fri Jan 30 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.12-2mdk
- remove from Networking/WWW menu.

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.12-1mdk
- 0.12
- Use ImageMagick to convert icons
- BuildRequires fix for 64bit arch
- Turn on bookmark feature

* Fri Oct 31 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.11-4mdk
- disable annoying splash screen

